Factorial

- « gmp_export

- gmp_gcd »

- PHP Manual
- GMP Functions
- Factorial

# gmp_fact

(PHP 4 >= 4.0.4, PHP 5, PHP 7, PHP 8)

gmp_fact — Factorial

### Description

gmp_fact(GMP|int|string `$num`): GMP

Calculates factorial (`num!`) of `num`.

### Parameters

`num`

  The factorial number.

  A GMP object, an int or a numeric string.

### Return Values

A GMP object.

### Examples

Example #1 gmp_fact() example

    <?php$fact1 = gmp_fact(5); // 5 * 4 * 3 * 2 * 1echo gmp_strval($fact1) . "\n";$fact2 = gmp_fact(50); // 50 * 49 * 48, ... etcecho gmp_strval($fact2) . "\n";?>

The above example will output:

    120
    30414093201713378043612608166064768844377641568960512000000000000